/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Name : ReadRawImageData
Type : int
Written on   : 5-Mar-90     By : A. Etemadi
Modified on  :              By : 
Directory    : ~atae/ORT/ORT/FEX/src

==============================================================================

Input parameters    : 
 p_InFile	--   Pointer to start of data file

Output parameters   : 
 Image		--   512x512 image

Output result       : 
  0 = successful, 
 -1 = error

Calling procedure:

 int Rows,cols;

 char Image[512][512];

 FILE *p_InFile; 

 ReadRawImageData(&p_InFile,
                  Rows,
		    Cols,
                  Image)

Functionality: 
 Read image data from input file pointed to by stream p_InFile

----------------------------------------------------------------------------*/

#include <stdio.h>     /* Standard C I/O library */
#include <math.h>      /* Standard C mathematics library */
#include <errno.h>     /* Standard C error handling routines */
/* #include <strings.h> */   /* Standard C string handling routines */
#include <ctype.h>     /* Standard C type identification routines */

int ReadRawImageData (p_InFile,
			 Rows,
			 Cols,
			 Image)

	int Rows,Cols;		/* Parameters indicating size of image */

       char Image[512][512]; 	/* Image data buffer */

	FILE *(*p_InFile);		/* Pointer to start of file */
     
 { 

   int i,j;

#ifdef debug
	  fprintf(stderr," Start of function ReadRawImageData \n");
#endif

	for (i=0;i<Rows;i++) {
		for (j=0;j<Cols;j++) {
		Image[i][j] = getc((*p_InFile));
		}
	}

#ifdef debug
	  fprintf(stderr," End of function ReadRawImageData \n");
#endif
	return(0);
    	
 }
